# Service_Repository.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/Default_Constants.h"`
`#include "ace/Recursive_Thread_Mutex.h"`
`#include "ace/Service_Repository.inl"`

Include dependency graph for Service_Repository.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Service_Repository
| Contains all the services offered by a Service Configurator-based application. More...
class | ACE_Service_Repository_Iterator
| Iterate through the ACE_Service_Repository. More...

## Defines

#define | ACE_Component_Repository ACE_Service_Repository

## Detailed Description

Id
  Service_Repository.h,v 4.31 2006/02/13 11:40:08 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Define Documentation

#define ACE_Component_Repository ACE_Service_Repository